mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_IceCandidate Struct Reference

`#include <ice.h>`

Collaboration diagram for _IceCandidate:
[legend]

## Data Fields
char | foundation [32]
IceTransportAddress | taddr
IceCandidateType | type
uint32_t | priority
uint16_t | componentID
struct _IceCandidate * | base
bool_t | is_default

## Detailed Description

Structure representing an ICE candidate.

## Field Documentation

char _IceCandidate::foundation[32]

Foundation of the candidate (see paragraph 3 of the RFC 5245 for more details

IceTransportAddress _IceCandidate::taddr

Transport address of the candidate

IceCandidateType _IceCandidate::type

Type of the candidate

uint32_t _IceCandidate::priority

Priority of the candidate

uint16_t _IceCandidate::componentID

component ID between 1 and 256: usually 1 for RTP component and 2 for RTCP component

struct _IceCandidate* _IceCandidate::base

Pointer to the candidate that is the base of the current one

bool_t _IceCandidate::is_default

Boolean value telling whether this candidate is a default candidate or not

The documentation for this struct was generated from the following file:

- ice.h